openshot::InvalidJSONKey Class Reference

Exception for missing JSON Change key. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidJSONKey:

## Public Member Functions

| InvalidJSONKey (std::string message, std::string json)
| Constructor. More...
virtual | ~InvalidJSONKey () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

std::string | json

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception for missing JSON Change key.

Definition at line 253 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidJSONKey()

openshot::InvalidJSONKey::InvalidJSONKey | ( | std::string | message,
|  | std::string | json
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  json | The json data being processed

Definition at line 263 of file Exceptions.h.

## ~InvalidJSONKey()

virtual openshot::InvalidJSONKey::~InvalidJSONKey | ( |  | ) |

inline virtual noexcept

Definition at line 265 of file Exceptions.h.

## Member Data Documentation

## json

std::string openshot::InvalidJSONKey::json

Definition at line 256 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h